# include/xapian/valueiterator.h File Reference

classes for iterating through values More...

`#include <iterator>`
`#include <string>`
`#include <xapian/types.h>`
`#include <xapian/document.h>`
`#include <xapian/visibility.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::ValueIterator
| An iterator pointing to values associated with a document. More...

## Functions

bool | Xapian::operator== (const ValueIterator &a, const ValueIterator &b)
bool | Xapian::operator!= (const ValueIterator &a, const ValueIterator &b)

## Detailed Description

classes for iterating through values